summaryrefslogtreecommitdiffstats
path: root/scripts/lib/ptxd_make_world_patchin.sh
diff options
context:
space:
mode:
authorMichael Olbrich <m.olbrich@pengutronix.de>2015-01-30 12:40:44 +0100
committerMichael Olbrich <m.olbrich@pengutronix.de>2015-02-13 08:15:03 +0100
commit3a53cc7455ab88f5f2d587a79df24778d57f4d68 (patch)
treef06db3f2b5c548048b347ee87d43c4e6e2d677cc /scripts/lib/ptxd_make_world_patchin.sh
parent8406a211ccaab70526d8b0951712420deecd34a9 (diff)
downloadptxdist-3a53cc7455ab88f5f2d587a79df24778d57f4d68.tar.gz
ptxdist-3a53cc7455ab88f5f2d587a79df24778d57f4d68.tar.xz
ptxd_make_world_patchin_fixup: replace config.sub with new version
This is needed for newer architectures like aarch64 because older versions of config.sub don't support those yet. Signed-off-by: Michael Olbrich <m.olbrich@pengutronix.de>
Diffstat (limited to 'scripts/lib/ptxd_make_world_patchin.sh')
-rw-r--r--scripts/lib/ptxd_make_world_patchin.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/scripts/lib/ptxd_make_world_patchin.sh b/scripts/lib/ptxd_make_world_patchin.sh
index 4419d3fa0..60abd1e42 100644
--- a/scripts/lib/ptxd_make_world_patchin.sh
+++ b/scripts/lib/ptxd_make_world_patchin.sh
@@ -375,6 +375,13 @@ ptxd_make_world_patchin_fixup()
"${file}" || return
done &&
+ ptxd_get_alternative scripts/autoconf config.sub
+ local config_sub="${ptxd_reply}"
+ find "${pkg_patchin_dir}/" -type f -name "config.sub" ! -path "*/.pc/*" | while read file; do
+ ptxd_print_path "${file}"
+ cp -f "${config_sub}" "${file}" || return
+ done &&
+
echo -e "patchin: fixup: done\n"
}
export -f ptxd_make_world_patchin_fixup